Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jeptests
Class CPTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.singularsys.jeptests.JepTest
                  com.singularsys.jeptests.CPTest

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  RealEvalTest

    public class CPTest

extends JepTest

Tests for the configurable parser.

Field Summary

Fields inherited from class com.singularsys.jeptests.JepTest
`jep, myFalse, myTrue, PRINT_RESULTS`

Constructor Summary
`CPTest(java.lang.String name)`

Method Summary
`void` | `setUp()` Sets up the parser.
`void` | `testAddOp()` Tests the addOperator method
`void` | `testBug61()`
`void` | `testCPStrings()`
`void` | `testEmptyEqn2()`
`void` | `testMultiDimArrayAccess()`

Methods inherited from class com.singularsys.jeptests.JepTest
`calcValue, calcValue, complexValueTest, myAssertEquals, myAssertNaN, nodeTest, nodeTest, nodeTest, nodeTest, parseExceptionWithSpecParser, printTestHeader, testAssign, testBinom, testBlankParser, testChangeVariable, testComplex, testEmptyEqn, testEvalExceptions, testEvaluate, testExpectedTokenSequence, testFormat, testFunction, testIf, testImplicitMul, testLazyLogical, testListAccess, testLogarithm, testLogical, testMacroFunction, testMultiDimArray, testMultiLine, testNaN, testNumbers, testNumParam, testParseException, testPlusPlus, testSemiColon, testSetAllowUndeclared, testSimpleSum, testStrings, testUminusPower, valueTest, valueTest, valueTestNaN, valueTestString`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CPTest

    public CPTest(java.lang.String name)

Method Detail

### setUp

    public void setUp()

  Description copied from class: `JepTest`
  Sets up the parser.

  Overrides:
    `setUp` in class `JepTest`

### testAddOp

    public void testAddOp()
                   throws ParseException

  Tests the addOperator method

  Throws:
    `ParseException`

### testCPStrings

    public void testCPStrings()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEmptyEqn2

    public void testEmptyEqn2()
                       throws java.lang.Exception

  Overrides:
    `testEmptyEqn2` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testBug61

    public void testBug61()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMultiDimArrayAccess

    public void testMultiDimArrayAccess()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep